/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.nomenclatures;

import org.cocktail.mangue.client.gui.cir.CirSaisieFicheIdentiteView;
import org.cocktail.mangue.common.utilities.CocktailIcones;

/**
 *
 * @author  cpinsard
 */
public class SaisieEquivalenceGradeView extends javax.swing.JDialog {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7274843962894206085L;

	/** Creates new form TemplateJDialog */
	public SaisieEquivalenceGradeView(java.awt.Frame parent, boolean modal) {
		super(parent, modal);
		initComponents();
		initGui();
	}

	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        btnValider = new javax.swing.JButton();
        btnAnnuler = new javax.swing.JButton();
        tfDateOuverture = new javax.swing.JTextField();
        jLabel17 = new javax.swing.JLabel();
        tfDateFermeture = new javax.swing.JTextField();
        jLabel18 = new javax.swing.JLabel();
        jLabel16 = new javax.swing.JLabel();
        tfLibelleGradeDepart = new javax.swing.JTextField();
        btnGetGradeDepart = new javax.swing.JButton();
        tfLibelleGrade = new javax.swing.JTextField();
        jLabel19 = new javax.swing.JLabel();
        btnGetGrade = new javax.swing.JButton();
        checkTemTypeAcces = new javax.swing.JCheckBox();
        checkPromouvabilite = new javax.swing.JCheckBox();
        tfLibelleTypeAcces = new javax.swing.JTextField();
        btnGetTypeAcces = new javax.swing.JButton();
        jLabel20 = new javax.swing.JLabel();
        btnDelTypeAcces = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Saisie / Modification d'un Corps Promouvable");
        setResizable(false);

        btnValider.setText("Valider");
        btnValider.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnValiderActionPerformed(evt);
            }
        });

        btnAnnuler.setText("Annuler");
        btnAnnuler.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAnnulerActionPerformed(evt);
            }
        });

        tfDateOuverture.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateOuverture.setToolTipText("");

        jLabel17.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel17.setText("Début validité :");

        tfDateFermeture.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfDateFermeture.setToolTipText("");

        jLabel18.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel18.setText("Fin Validité :");

        jLabel16.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel16.setText("Grade Départ");

        tfLibelleGradeDepart.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfLibelleGradeDepart.setToolTipText("");

        tfLibelleGrade.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfLibelleGrade.setToolTipText("");

        jLabel19.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel19.setText("Grade");

        checkTemTypeAcces.setText("Prendre en compte le témoin de type accès");

        checkPromouvabilite.setText("Pour la promouvabilité uniquement");

        tfLibelleTypeAcces.setHorizontalAlignment(javax.swing.JTextField.LEFT);
        tfLibelleTypeAcces.setToolTipText("");

        jLabel20.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel20.setText("Type Accès");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(jLabel16, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 125, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfLibelleGradeDepart, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 446, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .add(btnGetGradeDepart, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(40, 40, 40))
                    .add(layout.createSequentialGroup()
                        .add(jLabel19, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 127, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfLibelleGrade, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 444, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnGetGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(40, 40, 40))
                    .add(layout.createSequentialGroup()
                        .add(jLabel20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 128, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(checkTemTypeAcces)
                            .add(checkPromouvabilite)
                            .add(layout.createSequentialGroup()
                                .add(tfLibelleTypeAcces, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 443, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnGetTypeAcces, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(btnDelTypeAcces, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 25, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(9, 9, 9))))
                    .add(layout.createSequentialGroup()
                        .add(jLabel17, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 121, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(tfDateOuverture, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 105, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 68, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfDateFermeture, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 119, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(215, 215, 215))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 448, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(btnAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .add(21, 21, 21))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel16)
                        .add(tfLibelleGradeDepart, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(btnGetGradeDepart, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel19)
                        .add(tfLibelleGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(btnGetGrade, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(17, 17, 17)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                        .add(jLabel20)
                        .add(tfLibelleTypeAcces, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(btnGetTypeAcces, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnDelTypeAcces, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(checkTemTypeAcces)
                .add(3, 3, 3)
                .add(checkPromouvabilite)
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel17)
                    .add(tfDateOuverture, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel18)
                    .add(tfDateFermeture, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(82, 82, 82)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(btnValider)
                    .add(btnAnnuler))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-689)/2, (screenSize.height-366)/2, 689, 366);
    }// </editor-fold>//GEN-END:initComponents

	private void btnValiderActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnValiderActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_btnValiderActionPerformed

	private void btnAnnulerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAnnulerActionPerformed
		// TODO add your handling code here:
	}//GEN-LAST:event_btnAnnulerActionPerformed

	/**
	 * @param args the command line arguments
	 */
	public static void main(String args[]) {
		java.awt.EventQueue.invokeLater(new Runnable() {
			public void run() {
				CirSaisieFicheIdentiteView dialog = new CirSaisieFicheIdentiteView(new javax.swing.JFrame(), true);
				dialog.addWindowListener(new java.awt.event.WindowAdapter() {
					public void windowClosing(java.awt.event.WindowEvent e) {
						System.exit(0);
					}
				});
				dialog.setVisible(true);
			}
		});
	}

    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected javax.swing.JButton btnAnnuler;
    private javax.swing.JButton btnDelTypeAcces;
    private javax.swing.JButton btnGetGrade;
    private javax.swing.JButton btnGetGradeDepart;
    private javax.swing.JButton btnGetTypeAcces;
    protected javax.swing.JButton btnValider;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.JCheckBox checkPromouvabilite;
    private javax.swing.JCheckBox checkTemTypeAcces;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel20;
    protected javax.swing.JTextField tfDateFermeture;
    protected javax.swing.JTextField tfDateOuverture;
    protected javax.swing.JTextField tfLibelleGrade;
    protected javax.swing.JTextField tfLibelleGradeDepart;
    protected javax.swing.JTextField tfLibelleTypeAcces;
    // End of variables declaration//GEN-END:variables


	private void initGui() {

		btnGetGradeDepart.setIcon(CocktailIcones.ICON_SELECT_16);
		btnGetGrade.setIcon(CocktailIcones.ICON_SELECT_16);
		btnGetTypeAcces.setIcon(CocktailIcones.ICON_SELECT_16);
		btnDelTypeAcces.setIcon(CocktailIcones.ICON_DELETE);

		btnValider.setIcon(CocktailIcones.ICON_VALID);
		btnAnnuler.setIcon(CocktailIcones.ICON_CANCEL);

	}

	public javax.swing.JButton getBtnAnnuler() {
		return btnAnnuler;
	}

	public void setBtnAnnuler(javax.swing.JButton btnAnnuler) {
		this.btnAnnuler = btnAnnuler;
	}

	public javax.swing.JButton getBtnDelTypeAcces() {
		return btnDelTypeAcces;
	}

	public void setBtnDelTypeAcces(javax.swing.JButton btnDelTypeAcces) {
		this.btnDelTypeAcces = btnDelTypeAcces;
	}

	public javax.swing.JButton getBtnGetGrade() {
		return btnGetGrade;
	}

	public void setBtnGetGrade(javax.swing.JButton btnGetGrade) {
		this.btnGetGrade = btnGetGrade;
	}

	public javax.swing.JButton getBtnGetGradeDepart() {
		return btnGetGradeDepart;
	}

	public void setBtnGetGradeDepart(javax.swing.JButton btnGetGradeDepart) {
		this.btnGetGradeDepart = btnGetGradeDepart;
	}

	public javax.swing.JButton getBtnGetTypeAcces() {
		return btnGetTypeAcces;
	}

	public void setBtnGetTypeAcces(javax.swing.JButton btnGetTypeAcces) {
		this.btnGetTypeAcces = btnGetTypeAcces;
	}

	public javax.swing.JButton getBtnValider() {
		return btnValider;
	}

	public void setBtnValider(javax.swing.JButton btnValider) {
		this.btnValider = btnValider;
	}

	public javax.swing.JCheckBox getCheckPromouvabilite() {
		return checkPromouvabilite;
	}

	public void setCheckPromouvabilite(javax.swing.JCheckBox checkPromouvabilite) {
		this.checkPromouvabilite = checkPromouvabilite;
	}

	public javax.swing.JCheckBox getCheckTemTypeAcces() {
		return checkTemTypeAcces;
	}

	public void setCheckTemTypeAcces(javax.swing.JCheckBox checkTemTypeAcces) {
		this.checkTemTypeAcces = checkTemTypeAcces;
	}

	public javax.swing.JTextField getTfDateFermeture() {
		return tfDateFermeture;
	}

	public void setTfDateFermeture(javax.swing.JTextField tfDateFermeture) {
		this.tfDateFermeture = tfDateFermeture;
	}

	public javax.swing.JTextField getTfDateOuverture() {
		return tfDateOuverture;
	}

	public void setTfDateOuverture(javax.swing.JTextField tfDateOuverture) {
		this.tfDateOuverture = tfDateOuverture;
	}

	public javax.swing.JTextField getTfLibelleGrade() {
		return tfLibelleGrade;
	}

	public void setTfLibelleGrade(javax.swing.JTextField tfLibelleGrade) {
		this.tfLibelleGrade = tfLibelleGrade;
	}

	public javax.swing.JTextField getTfLibelleGradeDepart() {
		return tfLibelleGradeDepart;
	}

	public void setTfLibelleGradeDepart(javax.swing.JTextField tfLibelleGradeDepart) {
		this.tfLibelleGradeDepart = tfLibelleGradeDepart;
	}

	public javax.swing.JTextField getTfLibelleTypeAcces() {
		return tfLibelleTypeAcces;
	}

	public void setTfLibelleTypeAcces(javax.swing.JTextField tfLibelleTypeAcces) {
		this.tfLibelleTypeAcces = tfLibelleTypeAcces;
	}
	
}
